import os
import sys
def find_program_file(path):
    """Finds a program file, for example, a png included with the program.
    First looks for it in files/ under the parent directory of the parent directory
    of ear_candy.py
    Then looks for it in /usr/share/earcandy
    Returns the path of the file"""
    if os.path.exists(os.path.join(os.path.dirname(os.path.dirname(os.path.realpath(__file__))), os.pardir,  "files",path)):
        return os.path.join(os.path.dirname(os.path.dirname(os.path.realpath(__file__))),os.pardir, "files",path)
    else:
        return os.path.join(sys.prefix, "share/earcandy", path)
